summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorJesse Duffield <jessedduffield@gmail.com>2023-04-29 12:58:28 +1000
committerJesse Duffield <jessedduffield@gmail.com>2023-04-29 13:05:05 +1000
commitaec46942a85f060bf8dc85a4197e5b7baae38804 (patch)
tree5818254f8bc9a77ff5e22ade7b8e7d70cc2a2a4e
parentaa70723e3a7211c01ccfb78c710dbf7808037c6c (diff)
enforce lowercase filenames
-rw-r--r--.github/workflows/ci.yml2
-rw-r--r--pkg/integration/components/view_driver.go (renamed from pkg/integration/components/viewDriver.go)0
-rw-r--r--pkg/utils/rebase_todo.go (renamed from pkg/utils/rebaseTodo.go)0
-rw-r--r--pkg/utils/rebase_todo_test.go (renamed from pkg/utils/rebaseTodo_test.go)0
-rwxr-xr-xscripts/check_filenames.sh14
5 files changed, 16 insertions, 0 deletions
diff --git a/.github/workflows/ci.yml b/.github/workflows/ci.yml
index ffe02ead8..05a5a0f73 100644
--- a/.github/workflows/ci.yml
+++ b/.github/workflows/ci.yml
@@ -140,6 +140,8 @@ jobs:
run: |
go generate pkg/integration/tests/tests.go && git diff --exit-code || (echo "Integration test list not up to date. Run 'go generate pkg/integration/tests/tests.go' locally and commit the changes" && exit 1)
shell: bash # needed so that we get "-o pipefail"
+ - name: Check Filenames
+ run: scripts/check_filenames.sh
lint:
runs-on: ubuntu-latest
env:
diff --git a/pkg/integration/components/viewDriver.go b/pkg/integration/components/view_driver.go
index 280843cf3..280843cf3 100644
--- a/pkg/integration/components/viewDriver.go
+++ b/pkg/integration/components/view_driver.go
diff --git a/pkg/utils/rebaseTodo.go b/pkg/utils/rebase_todo.go
index 0b6a6a40c..0b6a6a40c 100644
--- a/pkg/utils/rebaseTodo.go
+++ b/pkg/utils/rebase_todo.go
diff --git a/pkg/utils/rebaseTodo_test.go b/pkg/utils/rebase_todo_test.go
index a4b1a46d0..a4b1a46d0 100644
--- a/pkg/utils/rebaseTodo_test.go
+++ b/pkg/utils/rebase_todo_test.go
diff --git a/scripts/check_filenames.sh b/scripts/check_filenames.sh
new file mode 100755
index 000000000..a9b3c242d
--- /dev/null
+++ b/scripts/check_filenames.sh
@@ -0,0 +1,14 @@
+#!/bin/bash
+
+# Find all Go files in the project directory and its subdirectories, except in the vendor directory
+for file in $(find . -name "*.go" -not -path "./vendor/*"); do
+
+ # Check if the file name contains uppercase letters
+ if [[ "$file" =~ [A-Z] ]]; then
+ echo "Error: $file contains uppercase letters. All Go files in the project (excluding vendor directory) must use snake_case"
+ exit 1
+ fi
+done
+
+echo "All Go files in the project (excluding vendor directory) use lowercase letters"
+exit 0